# brightsign-rescue-image
#
# Image configuration for BrightSign rescue kernel initramfs
#

PACKAGE_ARCH = "${MACHINE_ARCH_DEBUG}"
__BB_DONT_CACHE = "1"

# This really means "don't install any static entries in /dev".
USE_DEVFS = "1"

# Install basic files only
IMAGE_INSTALL = "base-files \
		 busybox \
		 mtd-utils \
		 mtd-utils-ubifs \
		 brightsign-rescue-scripts \
		 brightsign-startup-automount \
		 brightsign-apps-check-for-update \
		 brightsign-apps-storage \
		 util-linux-blkid \
		 "

IMAGE_INSTALL_append_tiger = "kernel-module-usb-brcm-glue kernel-module-ohci-brcm kernel-module-ehci-brcm kernel-module-ohci-hcd kernel-module-ehci-hcd"

IMAGE_LINGUAS = ""
IMAGE_FEATURES = ""
IMAGE_FSTYPES = "cpio"

#DEPENDS = "virtual/kernel"

LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://${COREBASE}/LICENSE;md5=4d92cd373abda3937c2bc47fbc49d690 \
                    file://${COREBASE}/meta/COPYING.MIT;md5=3da9cfbcb788c80a0384361b4de20420"

inherit image
inherit image_filelist
