DESCRIPTION="BrightSign Linux kernel"
SECTION="kernel"
LICENSE="GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=d7810fab7487fb0aad327b76f1be7cd7"
PV = "6.2.7-bs"
SRC_URI = "http://should-already-be-in-dl-dir/linux-3.3-6.2.7-bs.tar.gz file://${BASE_MACHINE}.config file://sha256sign.py"
SRC_URI[md5sum] = "0ec8cc890209e28e034a70642125a2e3"
SRC_URI[sha256sum] = "ba217febc200a43ccf166fad1a67f7ea361aae844d5c4d84b41635c48bbb016e"
COMPATIBLE_MACHINE = "bobcat(-td)?"
PN = "linux-bcm7425"

KERNEL_IMAGETYPE = "vmlinuz"
KERNEL_IMAGETYPE_arm = "zImage"
KERNEL_IMAGE_BASE_NAME = "${KERNEL_IMAGETYPE}"
KERNEL_OUTPUT_mipsel = "${KERNEL_IMAGETYPE}"

inherit kernel
PKG_kernel-image = "kernel-image"
S = "${WORKDIR}/${PN}-${PV}"

DEPENDS += "lzop-native"

do_configure_prepend() {
	cp "${WORKDIR}/${BASE_MACHINE}.config" "${B}/.config"
}
