PACKAGECONFIG = "experimental"

THISDIR := "${@os.path.dirname(bb.data.getVar('FILE', d, True))}"
FILESPATH =. "${@base_set_filespath(["${THISDIR}/${PN}-${PV}", "${THISDIR}/files"], d)}:"

PR .= "bs1"

SRC_URI += "file://adv-data.patch file://multi-adv.patch file://adv-use-after-free-fix.patch file://bluetooth.conf file://main.conf"

do_install_append() {
	install -d ${D}/var/lib
	ln -sf ../volatile/bluetooth ${D}/var/lib/bluetooth
	install -m 0644 ${WORKDIR}/bluetooth.conf ${D}/${sysconfdir}/dbus-1/system.d/
	install -m 0644 ${WORKDIR}/main.conf ${D}/${sysconfdir}/bluetooth/
}
